%pseudo random binary sequency noise
 
%time function
clear
clf
t1=0:0.001:1.001;        
y1=-0.55*square(2*pi*t1);
t2=0:0.001:2.004;
y2=-0.55*square(2*pi*1/2*t2);
t3=0:0.001:1.5;        
y3=-0.55*square(2*pi*t3);
t4=0.98:0.001:2.001;
y4=-0.55*square(2*pi*1/2*t4);
t5=0:0.001:0.99;        
y5=-0.55*square(2*pi*t5);
w=[y1 y2 y3 y3 y4 y5];
plot(w)
axis('off')
hold on
plot([0 10000],[0 0])
plot([0 0],[-0.6 0.6])
pause
axis;
clf
 %make_eps('pseqn1')

%autocorrelation 
t1=0:1/90:4/3;
y1=(-3/4)*t1+(3/4);
t5=4/3:1/90:44/3;
y5=(-0.25)*ones(1, 1201);
t2=44/3:1/90:16;
y2=(3/4)*(t2-15);
t3=16:1/90:52/3;
y3=(-3/4)*(t3-17);
t6=52/3:1/90:92/3;
y6=(-0.25)*ones(1,1201);
t4=92/3:1/90:32;
y4=(3/4)*(t4-31);
t7=32;
w=[y1 y5 y2 y3 y6 y4];
plot(w)
axis('off')
hold on
plot([0  4000],[0 0])
plot([0 0 ],[-0.5  1])
pause
axis;
clf
 %make_eps('pseqn2')

%spectrum
t=0:0.001:3;
sp=abs(sin(pi*t)./(pi*t));
sp(1)=1;
plot(t,sp)
spp(1)=sp(1);
tt(1)=t(1);
N=1000/8;
for i=1:8*3
	spp(i+1)=sp(1+N*i);
	tt(i+1)=t(1+N*i);
end
spl(tt,spp)
axis('off')
hold on
plot(t,sp)
plot([0 3],[0 0])
plot([0 0],[0 1.2])
pause
axis;
clf
 %make_eps('pseqn3')


%pdf
x=-200:200;
y=zeros(1,401);
plot(x, y)
axis('off')
hold on
plot([0 0],[0 .7])
plot([-100 -100],[0 0.5])
plot([100 100],[0 0.5])
y(101)=0.5;
y(301)=0.5;
pause
axis;
clf
 %make_eps('pseqn4')

%cumulative distribution
w=cumsum(y);
plot(x,w)
axis('off')
hold on
plot([-200 200],[0 0])
plot([0 0], [0 1.2])
pause
axis;
clf
 %make_eps('pseqn5')
