%
% Callback function for ARMA button in the Frequency Analysis window
% Author : Minkyu Lee
% Date : 27-Feb-1995
%Modified by Karthik May 27 1997

freq_arma_mark_flag=0;
arma_frame_len=2^8;
arma_window=1;

% Set position and size of analysis window
PV=[2 265 285 104];
s2 = 'ARMA Analysis';

% Open analysis window
while exist('freq_arma_win_h')==1
   try = 'get(freq_arma_win_h,''position'');';
   eval(try,catch);
   if check ==0
      clear freq_arma_win_h;
      check = 1;
      break;
   end;
   s1 = get(freq_arma_win_h,'Name');
   if ~strcmp(s1,s2)
      clear freq_arma_win_h;
      break;
   end
   figure(freq_arma_win_h);
   break;
end;

if exist('freq_arma_win_h')~=1;
   
   freq_arma_win_h=figure('Position',PV,...
      'Resize','on',...
      'Numbertitle','off',...
      'color',BACK_COLOR,...
		'Name',s2);

   arma_po_method_h=uicontrol('Style','popup',...
      'Position',[10 70 130 30],...
      'String','Akaike MLE|MYWE|LS-MYWE|Mayne-Firoozan',...
      'Callback','arma_go');

   arma_pb_prop_h=uicontrol('Style','pushbutton',...
      'Position',[150 70 130 30],...
      'String','Property',...
      'Callback','arma_pr');

   arma_pb_save_h=uicontrol('Style','pushbutton',...
      'Position',[10 20 130 30],...
      'String','Save (ascii)',...
      'Callback','lp_ma_arma_sa');

   arma_pb_ok_h=uicontrol('Style','pushbutton',...
      'Position',[150 20 130 30],...
      'String','Cancel',...
      'Callback','fr_an_ok');

end;

