%
% Callback function for Spectra button in the Frequency Analysis window
% Author : Minkyu Lee
% Date : 28-Feb-1995
% %Modified by Karthik May 27 1997

freq_spec_mark_flag=0;
spec_frame_len=256;
spec_window=1;% Default window is the Hamming window
maxlag=0.1*spec_frame_len;

% Set position and size of analysis window
PV=[2 265 285 104];
s2 = 'Spectra';


% Open analysis window
while exist('freq_spec_win_h')==1
   try = 'get(freq_spec_win_h,''position'');';
   eval(try,catch);
   if check ==0
      clear freq_spec_win_h;
      check = 1;
      break;
   end
   s1 = get(freq_spec_win_h,'Name');
   if ~strcmp(s1,s2)
      clear freq_spec_win_h;
      break;
   end
   figure(freq_spec_win_h);
   break;
end;

if exist('freq_spec_win_h')~=1;
	freq_spec_win_h=figure('Position',PV,...
		'Resize','on',...
		'Numbertitle','off',...
		'color',BACK_COLOR,...
		'Name',s2);

   spec_po_method_h=uicontrol('Style','popup',...
      'Position',[10 70 130 30],...
      'String','FFT|Periodogram|Blackman-Tukey|Music|Esprit',...
      'Callback','spec_go');

   spec_pb_prop_h=uicontrol('Style','pushbutton',...
      'Position',[150 70 130 30],...
      'String','Property',...
      'Callback','spec_pr');

   spec_pb_save_h=uicontrol('Style','pushbutton',...
      'Position',[10 20 130 30],...
      'String','Save (Ascii)',...
      'Callback','spec_sa');

   spec_pb_ok_h=uicontrol('Style','pushbutton',...
      'Position',[150 20 130 30],...
      'String','Cancel',...
      'Callback','fr_an_ok');
   
end;
