%
% Callback function for Property button of LP analysis window
% Author : Minkyu Lee
% Date : 1-Mar-1995
%Modified by Karthik May 27 1997


PV=[2 92 286 257];
s2 = 'LP Analysis Properties';

% Open analysis window
while exist('lp_pr_win_h')==1
   try = 'get(lp_pr_win_h,''position'');';
   eval(try,catch);
   if check ==0
      clear lp_pr_win_h;
      check = 1;
      break;
   end
   s1 = get(lp_pr_win_h,'Name');
   if ~strcmp(s1,s2)
      clear lp_pr_win_h;
      break;
   end
   figure(lp_pr_win_h);
   break;
end;

if exist('lp_pr_win_h')~=1;

	
   lp_pr_win_h=figure('Position',PV,...
      'Resize','on',...
      'Numbertitle','off',...
      'color',BACK_COLOR,...
      'Name',s2);

   lp_pr_txt3_fl_h=uicontrol('Style','pushbutton',...
      'Position',[10 220 130 30],...
      'String','Frame length');
   
   lp_pr_txt4_fl_h=uicontrol('Style','edit',...
      'Position',[150 225 40 20],...
      'String',lp_frame_len,...
      'Callback','lp_pr_fl_ed');
   
   lp_pr_fl_h=uicontrol('Style','slider',...
      'Position',[190 225 90 20],...
      'Max',12,...
      'Min',4,...
      'Value', log2(lp_frame_len),...
      'Callback','lp_pr_fl_sl');

   lp_pr_txt1_np_h=uicontrol('Style','pushbutton',...
      'Position',[10 170 130 30],...
      'String','Number of poles');
   
   lp_pr_txt2_np_h=uicontrol('Style','edit',...
      'Position',[150 175 40 20],...
      'String',lp_num_poles,...
      'Callback','lp_pr_np_ed');
   
   lp_pr_np_h=uicontrol('Style','slider',...
      'Position',[190 175 90 20],...
      'Max',max_np,...
      'Min',1,...
      'Value', lp_num_poles,...
      'Callback','lp_pr_np_sl');
   
   lp_pr_swin_h=uicontrol('Style','popup',...
      'Position',[10 120 130 30],...
      'String','Hamming|Hanning|Kaiser|Triangular|Bartlett|Blackman|Rectangular|Chebyshev',...
      'Value',lp_window);
   
   lp_pr_sel_h=uicontrol('Style','checkbox',...
      'Position',[150 70 130 30],...
      'String','Select starting point',...
      'Value',freq_lp_mark_flag);

   lp_pr_order_h=uicontrol('Style','pushbutton',...
      'Position',[10 70 130 30],...
      'String','Order selection',...
      'Callback','morder');
   
   lp_pr_save_h=uicontrol('Style','pushbutton',...
      'Position',[10 20 130 30],...
      'String','Apply',...
      'Callback','fr_pr_ok');

   lp_pr_cancel_h=uicontrol('Style','pushbutton',...
      'Position',[150 20 130 30],...
      'String','Cancel',...
      'Callback','fr_pr_ca');
   
end;
