%
% Callback function for Property button of Spectrgram analysis window
% Author : Minkyu Lee
% Date : 13-Mar-1995
%Modified by Karthik May 27 1997


PV=[2 140 288 207];
s2 = 'Spectrogram Properties';
% Open analysis window
while exist('sgr_pr_win_h')==1
   try = 'get(sgr_pr_win_h,''position'');';
   eval(try,catch);
   if check ==0
      clear sgr_pr_win_h;
      check = 1;
      break;
   end
   s1 = get(sgr_pr_win_h,'Name');
   if ~strcmp(s1,s2)
      clear sgr_pr_win_h;
      break;
   end
   figure(sgr_pr_win_h);
   break;
end;

if exist('sgr_pr_win_h')~=1;

   sgr_pr_win_h=figure('Position',PV,...
      'Resize','on',...
      'Numbertitle','off',...
      'color',BACK_COLOR,...
      'Name',s2);

   sgr_pr_txt3_fl_h=uicontrol('Style','pushbutton',...
      'Position',[10 170 130 30],...
      'String','Frame length');

   sgr_pr_txt4_fl_h=uicontrol('Style','edit',...
      'Position',[150 175 40 20],...
      'String',sgram_frame_len,...
      'Callback','sgram_pr_fl_ed');
   
   sgr_pr_fl_h=uicontrol('Style','slider',...
      'Position',[190 175 90 20],...
      'Max',12,...
      'Min',4,...
      'Value', log(sgram_frame_len)/log(2),...
      'Callback','sgram_pr_fl_sl');
   
   sgr_pr_txt3_ov_h=uicontrol('Style','pushbutton',...
      'Position',[10 120 130 30],...
      'String','Overlap %');
   
   sgr_pr_txt4_ov_h=uicontrol('Style','edit',...
      'Position',[150 125 40 20],...
      'String',sgram_overlap,...
      'Callback','sgram_pr_ov_ed');

   sgr_pr_ov_h=uicontrol('Style','slider',...
      'Position',[190 125 90 20],...
      'Max',99,...
      'Min',0,...
      'Value', sgram_overlap,...
      'Callback','sgram_pr_ov_sl');
   
   sgr_pr_swin_h=uicontrol('Style','popup',...
      'Position',[10 70 130 30],...
      'String','Hamming|Hanning|Kaiser|Triangular|Bartlett|Blackman|Rectangular|Chebyshev',...
      'Value',sgram_window);
   
   sgr_pr_save_h=uicontrol('Style','pushbutton',...
      'Position',[10 20 130 30],...
      'String','Apply',...
      'Callback','fr_pr_ok');
   
   sgr_pr_cancel_h=uicontrol('Style','pushbutton',...
      'Position',[150 20 130 30],...
      'String','Cancel',...
      'Callback','sgram_pr_ok');
end;
