%
% Callback function for Edit button in the Main window
% Author : Minkyu Lee
% Date : 2-Feb-1995
%
%Modified by Karthik on 05/07/97

% Set position and size of analysis window
PV=[2 227 173 206];
s2 = 'edit';

% Open analysis window
while exist('m_ed_win_h')==1
   try = 'get(m_ed_win_h,''position'');';
   eval(try,catch);
   if check ==0
      clear m_ed_win_h;
      check = 1;
      break;
   end
   s1 = get(m_ed_win_h,'Name');
   if ~strcmp(s1,s2)
      clear m_ed_win_h;
      break;
   end
   figure(m_ed_win_h);
   break;
end;

if exist('m_ed_win_h')~=1;
   m_ed_win_h=figure('Position',PV,...
      'Resize','off',...
      'Numbertitle','off',...
      'color',BACK_COLOR,...
      'Name',s2);
   
   
   m_ed_pb_zo_h=uicontrol('Style','pushbutton',...
      'Position',[10 170 70 30],...
      'String','Zoom',...
      'Callback','e_zoom');
   
   m_ed_pb_mo_h=uicontrol('Style','pushbutton',...
			'Position',[90 170 70 30],...
         'String','Scroll',...
         'Callback','e_move');
      
   m_ed_po_ed_h=uicontrol('Style','popup',...
      'Position',[10 120 150 30],...
      'String','Cut segment|Insert segment|Save segment',...
      'Callback','e_go');
      
   m_ed_po_play_h=uicontrol('Style','popup',...
      'Position',[10 70 150 30],...
      'String','Play-window|Play-cursor',...
      'Callback','e_play');

   m_ed_pb_ok_h=uicontrol('Style','pushbutton',...
      'Position',[10 20 150 30],...
      'String','Cancel',...
      'Callback','e_ok');
end;
   
   