%
% Callback function for 'OK' button of main_property window
% 
% Purpose : Store the various properties.
%  
% Author : Minkyu Lee
% Date : 29-Sep-1994
%

% 
% Find out the number of poles and zeros for AR or ARMA model
% If nz = 0 
%	AR model
% else
%	ARMA model
% end

num_poles=round(get(m_pr_sl_np_h,'Value'));
num_zeros=round(get(m_pr_sl_nz_h,'Value'));

%
% set the flags 
%

val=get(m_pr_cb_pzplot_h,'Value');
if val == 1
	pzplot_flag = 1;
else
	pzplot_flag = 0;
	if exist('agif_pzplot_win_h') == 1
		agif_pzplot_win_pos=get(agif_pzplot_win_h,'Position');
		close(agif_pzplot_win_h);
		clear agif_pzplot_win_h;
	end
end

val=get(m_pr_cb_spec_h,'Value');
if val == 1
	spec_flag = 1;
else
	spec_flag = 0;
	if exist('agif_spec_win_h') == 1
		agif_spec_win_pos=get(agif_spec_win_h,'Position');
		close(agif_spec_win_h);
		clear agif_spec_win_h;
	end
end

close(m_pr_win_h);
clear m_pr_win_h;
