%
% Function to calculate the objective function where
% input k = temporary vector
%	b = unstable vector

function [ DPIK ] = DPI(k, b)

dk=0.01;
len=length(k);
Q=eye(len);
a=Levinson(k);

% Calculate the Jacobian Matrix
for i=1:len,
	k_temp=k;
	k_temp(i)=k_temp(i)+dk;
	da=Levinson(k_temp)-a;
	for j=1:len,
		JACOB(i,j)=da(j+1)/dk;
	end
end

DPIK = JACOB*Q*(a(2:length(a))-b)';
