clear
%
%
%
a=[1 2 3 4 5 6 7 8 9 10 11 12 13];
b=[2 3 4 5 6];

zplane(b,a);
h=gcf;

points=[roots(a) ; roots(b)];
N_poles=length(a)-1;
N_zeros=length(b)-1;
NN=N_poles+N_zeros;

[X Y]=ginput;
hold on;

for ii = 1:length(X),
	in(ii)=X(ii)+j*Y(ii);
	for jj=1:NN,
		E(jj)=norm(in(ii)-points(jj));
	end
	[val(ii) index(ii)]=min(E);
	plot(	real(points(index(ii))),...
	     	imag(points(index(ii))),...
	     	'*r');
end
