%bandlimited noise 

%time function
clear
clf
[b,a]=butter(11,0.3);
randn('seed',100);
wn=randn(1,400);
nn=filter(b,a,wn);
t=0:0.1:39.9;
plot(1.2*t,0.8*nn)
q=axis;
plot(t,0.8*nn)
axis('off')
hold on
plot([q(1) q(1)],[q(3) q(4)])
plot([q(1) q(2)],[q(3)+q(4) q(3)+q(4)])
pause
axis;
clf
 %make_eps('blmtn1')

%autocorrelation
ts=-1.5:0.001:5;
w=0.9*sin(pi*ts)./(pi*ts);
w(1501)=0.9;
plot(ts,w)
q=axis;
axis('off')
hold on
plot([q(1) q(2)+0.5],[0 0])
plot([0 0],[q(3) q(4)])
pause
axis;
clf
 %make_eps('blmtn2')

%spectrum
[b,a]=butter(5,0.7);
[h,w]=freqz(b,a,600);
plot(1.2*w,abs(h))
q=axis;
plot(w,0.8*abs(h))
axis('off')
hold on
plot([q(1) q(1)],[q(3) q(4)])
plot([q(1) q(2)],[q(3) q(3)])
halfpower=fix(2.0/(max(w)/length(w)));
plot([w(halfpower) w(halfpower)],[q(3) 0.8*abs(h(halfpower))],':')
pause
axis;
clf
 %make_eps('blmtn3')

% pdf
t=-5:0.001:5-0.001;
na=1/sqrt(2*pi*1)*exp(-t.*t);
plot(t, na)
q=axis;
axis('off')
hold on
plot([q(1) q(2)],[0 0])
plot([0 0], [0 0.5])
pause
axis;
clf
 %make_eps('blmtn4')

%cumulative distribution
w=cumsum(na);
w=w/max(w);
plot(t,w)
q=axis;
axis('off')
hold on
plot([q(1) q(2)],[0 0])
plot([0 0], [0 1.2])
pause
axis;
clf
 %make_eps('blmtn5')

