%sine wave plus gaussian noise


%time function
clear
clf
t=0:0.01:15;          
w=sin(2*pi*t/12);
randn('seed',100);
noise=randn(1,length(t));
wn=w+0.15*noise;        
plot(t,wn)
q=axis;
axis([q(1) q(2) -q(4) q(4)]);
plot(2/3*t, wn)
axis('off')
hold on
plot([q(1)  q(2)],[0  0])
plot([0  0],[ q(3)  q(4) ])
pause
axis;
clf
 %make_eps('singausn1')

%autocorrelation
t=-3:0.01:20;
w=0.8*cos(2*pi*t/8);
plot(t,w)
q=axis;
axis([q(1) q(2) -q(4) q(4)]);
t1=-2:0.01:0;
w=0.5*cos(2*pi*t1/8);
plot(5/3*t1,w,':')
axis('off')
hold on
t2=0:0.01:8;
w=0.5*cos(2*pi*t2/8);
plot(5/3*t2,w,'-')
plot([q(1) q(2)],[0 0],'-')
plot([0 0],[q(3) q(4)],'-')
plot([-0.05  -0.05],[0.5 0.6])
plot([-0.09  -0.09],[0.5 0.6])
plot([0.05  0.05],[0.5 0.6])
plot([0.09  0.09],[0.5 0.6])
plot([0.12  0.12],[0.5 0.6])
pause
axis;
clf
 %make_eps('singausn2')

%spectrum
s=0.3*ones(1,600);
x=[1:800];
y=zeros(1,800);
y(1)=y(1)+0.9;
plot(x,y,'-')
axis('off')
hold on
plot([300 300],[0.3 0.6],'-')
plot(s)
pause
axis;
clf
 %make_eps('singausn3')


%pdf
t=-2:2/600:2-2/600;
g=1/sqrt(2*pi)*exp(-t.*t/2);
load pdf600
aa=0.1*a/max(a);
N=length(aa);
g(312:311+length(aa(11:N-10)))=g(312:311+length(aa(11:N-10)))+aa(11:N-10);
plot(t,g)
axis('off')
hold on
plot([-2 2],[0 0])
plot([0 0],[0 max(g)+0.05])
pause
axis;
clf;
 %make_eps('singausn4')

%cumulative distribution
wn=cumsum(g);
wn=wn/max(wn);
plot(t,wn)
axis('off')
hold on
plot([-2 2],[0 0])
plot([0 0],[0 1.2])
pause
axis;
clf
 %make_eps('singausn5')
