% John Wu 06-29-1995 %

% set up user interface

main_h=figure('Position',[0 35 600 420], 'NumberTitle','off',...
		'Resize','on','Name','Probability');

axis('off');

m1_h=uicontrol('Style','edit','Position', ...
		[55 315 45 19]);
m2_h=uicontrol('Style','edit','Position', ...
		[101 315 45 19]);
m3_h=uicontrol('Style','edit','Position', ...
		[147 315 45 19]);
m4_h=uicontrol('Style','edit','Position', ...
		[193 315 45 19]);
m5_h=uicontrol('Style','edit','Position', ...
		[239 315 45 19]);
m6_h=uicontrol('Style','edit','Position', ...
		[321 315 45 19]);
m7_h=uicontrol('Style','edit','Position', ...
		[367 315 45 19]);
m8_h=uicontrol('Style','edit','Position', ...
		[413 315 45 19]);
m9_h=uicontrol('Style','edit','Position', ...
		[459 315 45 19]);
m10_h=uicontrol('Style','edit','Position', ...
		[505 315 45 19]);
m11_h=uicontrol('Style','Pushbutton','Position',[50 375 85 20], ...
	'String','Generate','Callback','genran');

m12_h=uicontrol('Style','Pushbutton','Position',[350 205 85 20], ...
	'String','Answer','Callback','calcu');
set(m12_h,'Enable','off');
m13_h=uicontrol('Style','Pushbutton','Position',[350 110 85 20], ...
	'String','Answer','Callback','calcu1');
set(m13_h,'Enable','off');
m14_h=uicontrol('Style','Pushbutton','Position',[350 25 85 20], ...
	'String','Answer','Callback','calcu2');
set(m14_h,'Enable','off');

m15_h=uicontrol('Style','Popup','Position',[330 375 95 20], ...
	'String','Problem1|Problem2|Problem3','Callback','ques');

answer_2h=uicontrol('Style','edit','Position', ...
		[430 50 45 20]);
answer_1h=uicontrol('Style','edit','Position', ...
		[430 135 45 20]);
answer_h=uicontrol('Style','edit','Position', ...
		[430 230 45 20]);
answer5_h=uicontrol('Style','edit','Position', ...
		[485 25 25 20]);
answer6_h=uicontrol('Style','edit','Position', ...
		[530 25 25 20]);
answer3_h=uicontrol('Style','edit','Position', ...
		[485 110 25 20]);
answer4_h=uicontrol('Style','edit','Position', ...
		[530 110 25 20]);
answer1_h=uicontrol('Style','edit','Position', ...
		[485 205 25 20]);
answer2_h=uicontrol('Style','edit','Position', ...
		[530 205 25 20]);
% set distribution

dist=uicontrol('Style','Popup','String',...
'Normal|Uniform','Position',[190 375 85 20]);
set(dist,'Value',1);
uicontrol('Style','Pushbutton','String',...
'Quit','Position',[470 375 85 20],'Callback','proba_qu');

% set up the problem

queset=1;
ss=sprintf('What is the probability of selecting an even number on the');
text(-0.02,0.63,ss,'fontsize',10);
ss=sprintf('first draw from BOX 1 ?');
text(-0.02,0.57,ss,'fontsize',10);
ss=sprintf('What is the probability of selecting an even number on the');
text(-0.02,0.35,ss,'fontsize',10);
ss=sprintf('first draw from BOX 2 ?');
text(-0.02,0.29,ss,'fontsize',10);
ss=sprintf('Draw a number from BOX 1 and a number from BOX 2.');
text(-0.02,0.1,ss,'fontsize',10);
ss=sprintf('What is the probability that both numbers are even ?');
text(-0.02,0.04,ss,'fontsize',10);
ss=sprintf('BOX 1');
text(0.15,0.865,ss,'fontsize',10);
ss=sprintf('BOX 2');
text(0.72,0.865,ss,'fontsize',10);
ss=sprintf('(e. g. 3 / 5)');
text(0.87,0.57,ss,'fontsize',10);
ss=sprintf('(e. g. 3 / 5)');
text(0.87,0.29,ss,'fontsize',10);
ss=sprintf('(e. g. 3 / 5)');
text(0.87,0.04,ss,'fontsize',10);
ss=sprintf('--->');
text(0.79,0.49,ss,'fontsize',10);
ss=sprintf('/');
text(0.945,0.49,ss,'fontsize',10);
ss=sprintf('--->');
text(0.79,0.21,ss,'fontsize',10);
ss=sprintf('/');
text(0.945,0.21,ss,'fontsize',10);
ss=sprintf('--->');
text(0.79,-0.04,ss,'fontsize',10);
ss=sprintf('/');
text(0.945,-0.04,ss,'fontsize',10);
