%
% Callback function for Save button of ARMA analysis window
% Author : Minkyu Lee
% Date : 16-Jul-1996
%

cwd=pwd;
[fname pathname]=uiputfile('*.dat','Save file (ASCII)');
S=sprintf('cd %s',cwd);
eval(S);

% Saving the power spectrum of the input signal
% The FFT should be done
if exist('FFT') == 0
	disp('The ARMA has not been performed. Please run ARMA first');
	return;
end
if fname ~= 0
	S=sprintf('Saving data into %s (ASCII format)',fname);
	disp(S);
	S=sprintf('save %s%s fsave -ascii', pathname, fname);
	eval(S);
else
	fname=o_fname;
	pathname=o_pname;
end
