%
% Callback function for Spectrum analysis button in the Analysis window
% Author : Minkyu Lee
% Date : 4-Feb-1995
%Modified by Karthik May 27 1997

lp_num_poles=14;
ma_num_zeros=4;
arma_num_poles=14;
arma_num_zeros=4;

% Set position and size of analysis window
PV=[2 232 285 157];
s2 = 'Frequency Analysis';

% Open analysis window
while exist('freq_an_win_h')==1
   try = 'get(freq_an_win_h,''position'');';
   eval(try,catch);
   if check ==0
      clear freq_an_win_h;
      check = 1;
      break;
   end
   s1 = get(freq_an_win_h,'Name');
   if ~strcmp(s1,s2)
      clear freq_an_win_h;
      break;
   end
   figure(freq_an_win_h);
   break;
end;

if exist('freq_an_win_h')~=1;
   freq_an_win_h=figure('Position',PV,...
      'Resize','on',...
      'Numbertitle','off',...
      'color',BACK_COLOR,...
      'Name','Frequency domain analysis');
   freq_pb_lp_h=uicontrol('Style','pushbutton',...
      'Position',[10 120 130 30],...
      'String','LP analysis',...
      'Callback','fr_lp');

   freq_pb_ma_h=uicontrol('Style','pushbutton',...
      'Position',[150 120 130 30],...
      'String','MA analysis',...
      'Callback','fr_ma');

   freq_pb_arma_h=uicontrol('Style','pushbutton',...
      'Position',[10 70 130 30],...
      'String','ARMA analysis',...
      'Callback','fr_arma');

   freq_pb_spec_h=uicontrol('Style','pushbutton',...
      'Position',[150 70 130 30],...
      'String','Spectrogram',...
      'Callback','fr_sgram');

   freq_pb_prop_h=uicontrol('Style','pushbutton',...
      'Position',[10 20 130 30],...
      'String','Spectra',...
      'Callback','fr_spec');
   
   freq_pb_ok_h=uicontrol('Style','pushbutton',...
      'Position',[150 20 130 30],...
      'String','Cancel',...
      'Callback','fr_ok');
end;

