%
% Callback function for PLP analysis button in the Frequency Analysis window
% Author : Minkyu Lee
% Date : 20-April-95
%

freq_plp_mark_flag=0;
plp_frame_len=2^8;
plp_window=1;

PV=[275 100 519 240];
s2 = 'Perceptual Linear Prediction Analysis';


% Open analysis window	
% Open analysis window
while exist('freq_plp_win_h')==1
   try = 'get(freq_plp_win_h,''position'');';
   eval(try,catch);
   if check ==0
      clear freq_plp_win_h;
      check = 1;
      break;
   end
   s1 = get(freq_plp_win_h,'Name');
   if ~strcmp(s1,s2)
      clear freq_plp_win_h;
      break;
   end
   figure(freq_plp_win_h);
   break;
end;

if exist('freq_plp_win_h')~=1;

   freq_plp_win_h=figure('Position',PV,...
      'Resize','on',...
      'Numbertitle','off',...
      'color',BACK_COLOR,...
      'Name',s2);
   
   
   plp_po_method_h=uicontrol('Style','popup',...
      'Position',[10 70 130 30],...
      'String','Autocorrelation|Covariance|Modified cov.|Burg|Recursive MLE',...
      'Callback	','plp_go');

   plp_pb_prop_h=uicontrol('Style','pushbutton',...
      'Position',[150 70 130 30],...
      'String','Property',...
      'Callback','plp_pr');

   plp_pb_save_h=uicontrol('Style','pushbutton',...
      'Position',[10 20 130 30],...
      'String','Save ',...
      'Callback','plp_sa');
   
   plp_pb_ok_h=uicontrol('Style','pushbutton',...
      'Position',[150 20 130 30],...
      'String','OK',...
      'Callback','fr_an_ok');
end;
