%
% Callback function for 'OK' button of main_property window
% 
% Purpose : Store the various properties.
%  
% Author : Minkyu Lee
% Date : 29-Sep-1994
%Modified by Karthik May 27 1997

if exist('lp_pr_win_h')
   lp_frame_len=2^round(get(lp_pr_fl_h,'Value'));
	lp_num_poles=round(get(lp_pr_np_h,'Value'));
	num_poles=lp_num_poles;
	val=get(lp_pr_swin_h,'Value');
	if val == 1
		lp_window=1;
	elseif val == 2
		lp_window=2;
	elseif val == 3
		lp_window=3;
	elseif val == 4
		lp_window=4;
	elseif val == 5
		lp_window=5;
	elseif val == 6
		lp_window=6;
	elseif val == 7
		lp_window=7;
	elseif val == 8
		lp_window=8;
	end
	val=get(lp_pr_sel_h,'Value');
	if val == 1
		freq_lp_mark_flag = 1;
	else
		freq_lp_mark_flag = 0;
	end
   close(lp_pr_win_h);
	clear lp_pr_win_h;
end
if exist('ma_pr_win_h')
	ma_frame_len=2^round(get(ma_pr_fl_h,'Value'));
	ma_num_zeros=round(get(ma_pr_nz_h,'Value'));
	val=get(ma_pr_pzplot_h,'Value');
	if val == 1
		pzplot_flag = 1;
	else
		pzplot_flag = 0;
   end
   val=get(ma_pr_swin_h,'Value');
	if val == 1
		ma_window=1;
	elseif val == 2
		ma_window=2;
	elseif val == 3
		ma_window=3;
	elseif val == 4
		ma_window=4;
	elseif val == 5
		ma_window=5;
	elseif val == 6
		ma_window=6;
	elseif val == 7
		ma_window=7;
	elseif val == 8
		ma_window=8;
	end
	val=get(ma_pr_sel_h,'Value');
	if val == 1
		freq_ma_mark_flag = 1;
	else
		freq_ma_mark_flag = 0;
   end
   	ma_pr_win_pos=get(ma_pr_win_h,'position');
	close(ma_pr_win_h);
	clear ma_pr_win_h;
end
if exist('arma_pr_win_h')
	arma_frame_len=2^round(get(arma_pr_fl_h,'Value'));
	arma_num_poles=round(get(arma_pr_np_h,'Value'));
	arma_num_zeros=round(get(arma_pr_nz_h,'Value'));
	num_poles=arma_num_poles;
	val=get(arma_pr_pzplot_h,'Value');
	if val == 1
		pzplot_flag = 1;
	else
		pzplot_flag = 0;
   end
   val=get(arma_pr_swin_h,'Value');
	if val == 1
      arma_window=1;
	elseif val == 2
		arma_window=2;
	elseif val == 3
		arma_window=3;
	elseif val == 4
		arma_window=4;
	elseif val == 5
		arma_window=5;
	elseif val == 6
      arma_window=6;
	elseif val == 7
		arma_window=7;
	elseif val == 8
		arma_window=8;
	end
	val=get(arma_pr_sel_h,'Value');
	if val == 1
		freq_arma_mark_flag = 1;
	else
		freq_arma_mark_flag = 0;
	end
	arma_pr_win_pos=get(arma_pr_win_h,'position');
	close(arma_pr_win_h);
	clear arma_pr_win_h;
end
if exist('sgr_pr_win_h')
	sgram_frame_len=2^round(get(sgr_pr_fl_h,'Value'));
   sgram_overlap=round(get(sgr_pr_ov_h,'Value'));
%	val=get(sgr_pr_sel_h,'Value');
%	if val == 1
%		freq_sgram_mark_flag = 1;
%	else
%		freq_sgram_mark_flag = 0;
%	end
	val=get(sgr_pr_swin_h,'Value');
	if val == 1
		sgram_window=1;
	elseif val == 2
		sgram_window=2;
	elseif val == 3
		sgram_window=3;
	elseif val == 4
		sgram_window=4;
	elseif val == 5
		sgram_window=5;
	elseif val == 6
		sgram_window=6;
	elseif val == 7
		sgram_window=7;
	elseif val == 8
		sgram_window=8;
	end
   close(sgr_pr_win_h);
	clear sgr_pr_win_h;
end
if exist('spec_pr_win_h')
   spec_frame_len=2^round(get(spec_pr_fl_h,'Value'));
   mu_num_poles=round(get(spec_mu_pr_np_h,'Value'));
	num_poles=mu_num_poles;
  	val=get(spec_pr_sel_h,'Value');
	if val == 1
		freq_spec_mark_flag = 1;
	else
		freq_spec_mark_flag = 0;
	end
	val=get(spec_pr_swin_h,'Value');
	if val == 1
		spec_window=1;
	elseif val == 2
		spec_window=2;
	elseif val == 3
		spec_window=3;
	elseif val == 4
		spec_window=4;
	elseif val == 5
		spec_window=5;
	elseif val == 6
		spec_window=6;
	elseif val == 7
		spec_window=7;
	elseif val == 8
		spec_window=8;
	end
   close(spec_pr_win_h);
	clear spec_pr_win_h;
end
