%
% Callback function for Spectrogram button in the Frequency Analysis window
% Author : Minkyu Lee
% Date : 28-Feb-1995
%Modified by Karthik May 27 1997

sgram_overlap=50;
sgram_frame_len=256;
sgram_window=1;			% Default window is the Hamming window

% Set position and size of analysis window
PV=[2 265 155 160];
s2 = 'Spectrogram';

	
% Open analysis window
while exist('freq_sgram_win_h')==1
   try = 'get(freq_sgram_win_h,''position'');';
   eval(try,catch);
   if check ==0
      clear freq_sgram_win_h;
      check = 1;
      break;
   end
   s1 = get(freq_sgram_win_h,'Name');
   if ~strcmp(s1,s2)
      clear freq_sgram_win_h;
      break;
   end
   figure(freq_sgram_win_h);
   break;
end;

if exist('freq_sgram_win_h')~=1;

	freq_sgram_win_h=figure('Position',PV,...
		'Resize','on',...
		'Numbertitle','off',...
		'color',BACK_COLOR,...
		'Name',s2);


   sgram_pb_method_h=uicontrol('Style','pushbutton',...
      'Position',[10 120 130 30],...
      'String','spectrogram',...
      'Callback','sgram_go');

   sgram_pb_prop_h=uicontrol('Style','pushbutton',...
      'Position',[10 70 130 30],...
      'String','Property',...
      'Callback','sgram_pr');

      sgram_pb_ok_h=uicontrol('Style','pushbutton',...
      'Position',[10 20 130 30],...
      'String','Cancel',...
      'Callback','fr_an_ok');
end;
