%
% Callback function for Property button of LP analysis window
% Author : Minkyu Lee
% Date : 1-Mar-1995
%Modified by Karthik May 27 1997

PV=[2 80 295 270];
s2 = 'MA Analysis Properties';

% Open analysis window
while exist('ma_pr_win_h')==1
   try = 'get(ma_pr_win_h,''position'');';
   eval(try,catch);
   if check ==0
      clear ma_pr_win_h;
      check = 1;
      break;
   end
   s1 = get(ma_pr_win_h,'Name');
   if ~strcmp(s1,s2)
      clear ma_pr_win_h;
      break;
   end
   figure(ma_pr_win_h);
   break;
end;

if exist('ma_pr_win_h')~=1;
		
   ma_pr_win_h=figure('Position',PV,...
      'Resize','on',...
      'Numbertitle','off',...
      'color',BACK_COLOR,...
      'Name',s2);

   ma_pr_txt3_fl_h=uicontrol('Style','pushbutton',...
      'Position',[10 220 130 30],...
      'String','Frame length');

   ma_pr_txt4_fl_h=uicontrol('Style','edit',...
      'Position',[150 225 40 20],...
      'String',ma_frame_len,...
      'Callback','ma_pr_fl_ed');

   ma_pr_fl_h=uicontrol('Style','slider',...
      'Position',[190 225 90 20],...
      'Max',12,...
      'Min',4,...
      'Value', log2(ma_frame_len),...
      'Callback','ma_pr_fl_sl');
      
   ma_pr_txt1_nz_h=uicontrol('Style','pushbutton',...
      'Position',[10 170 130 30],...
      'String','Number of zeros');

   ma_pr_txt2_nz_h=uicontrol('Style','edit',...
      'Position',[150 175 40 20],...
      'String',ma_num_zeros,...
      'Callback','ma_pr_nz_ed');

   ma_pr_nz_h=uicontrol('Style','slider',...
      'Position',[190 175 90 20],...
      'Max',max_nz,...
      'Min',1,...
      'Value', ma_num_zeros,...
      'Callback','ma_pr_nz_sl');

   ma_pr_pzplot_h=uicontrol('Style','checkbox',...
      'Position',[10 120 130 30],...
      'String','Pole-Zero plot',...
      'Value',pzplot_flag);
   
   ma_pr_sel_h=uicontrol('Style','checkbox',...
      'Position',[150 120 130 30],...
      'String','Select starting point',...
      'Value',freq_ma_mark_flag);
   
   ma_pr_swin_h=uicontrol('Style','popup',...
      'Position',[10 70 130 30],...
      'String','Hamming|Hanning|Kaiser|Triangular|Bartlett|Blackman|Rectangular|Chebyshev',...
      'Value',ma_window);
   
   ma_pr_save_h=uicontrol('Style','pushbutton',...
      'Position',[10 20 130 30],...
      'String','Apply',...
      'Callback','fr_pr_ok');

   ma_pr_cancel_h=uicontrol('Style','pushbutton',...
      'Position',[150 20 130 30],...
      'String','Cancel',...
      'Callback','fr_pr_ca');
end;
