%
% Callback function for Load button of main_file window
% Author : Minkyu Lee
% Date : 29-Sep-1994
%

%Modified by Karthik on 05/07/97 . 

cwd=pwd;

[fname pathname]=uigetfile('*.d','Load input file(ASCII)');
   
S=sprintf('cd %s',cwd);
eval(S);

if fname ~= 0
   S=sprintf('Loading data .....');
   disp(S);
   S=sprintf('load %s%s',pathname,fname);
   eval(S);
   
   o_fname=fname;
   o_pname=pathname;
   name=basename(fname);
      
else
   fname=o_fname;
   pathname=o_pname;
end

% If an input file is not loaded ( fname ), return to main menu
if exist('fname') ~= 1 | length(fname) == 0
   disp('Input file is not loaded. Please load an input file first.');
   return;
end

PV=[269 236 519 300];
s2 = 'Input Signal';


% Open analysis window
while exist('ana_wav_win_h')==1
   try = 'get(ana_wav_win_h,''position'');';
   eval(try,catch);
   if check ==0
      clear ana_wav_win_h;
      check = 1;
      break;
   end
   s1 = get(ana_wav_win_h,'Name');
   if ~strcmp(s1,s2)
      clear ana_wav_win_h;
      break;
   end
   figure(ana_wav_win_h);
   break;
end;

if exist('ana_wav_win_h')~=1;
   ana_wav_win_h=figure('Position',PV,...
      'Resize','off',...
      'Numbertitle','off',...
      'Name',s2);
end;

% Findout the input variable name and plot 
SPEECH=eval(name);

LEFT=1;
LEN=length(SPEECH);
RIGHT=LEN;

if isreal(SPEECH) == 0
   SPEECH=log(abs(SPEECH));
end

sp1_h=plot(SPEECH);
zoom_level=1;
SPEECH_OLD = SPEECH;