%
% Callback function for "Wave Generator" button of File window
% Author : Minkyu Lee
% Date : 23-Feb-1995
% Modified by Karthik  on 05/25/97


PV=[2 111 295 320];
s2 = 'Wave Generator';
wave_samp='10000';
wave_len='10';
wave_freq='100';
wave_amp='1';


% Open analysis window
while exist('fi_wg_win_h')==1
   try = 'get(fi_wg_win_h,''position'');';
   eval(try,catch);
   if check ==0
      clear fi_wg_win_h;
      check = 1;
      break;
   end
   s1 = get(fi_wg_win_h,'Name');
   if ~strcmp(s1,s2)
      clear fi_wg_win_h;
      break;
   end
   figure(fi_wg_win_h);
   break;
end;

if exist('fi_wg_win_h')~=1;
   
   fi_wg_win_h=figure('Position',PV,...
      'Resize','on',...
      'Numbertitle','off',...
      'color',BACK_COLOR,...
      'Name',s2);
   
   wg_po_wave_h=uicontrol('Style','popup',...
      'Position',[10 270 130 30],...
      'String','Sine|Square|Triangular|Random(uniform)|Random(normal)',...
      'Callback','wg_param');
   
   wg_pb_play_h=uicontrol('Style','pushbutton',...
      'Position',[160 270 130 30],...
      'String','Generate',...
      'Callback','wg_go');
   
   wg_pb_samp_h=uicontrol('Style','pushbutton',...
      'Position',[10 220 150 30],...
      'String','Sampling rate (Hz)');
   
   wg_ed_samp_h=uicontrol('Style','edit',...
      'Position',[180 220 70 30],...
      'String',wave_samp);
   
   wg_pb_len_h=uicontrol('Style','pushbutton',...
      'Position',[10 170 150 30],...
      'String','Length (ms)');
   
   wg_ed_len_h=uicontrol('Style','edit',...
      'Position',[180 170 70 30],...
      'String',wave_len);
   
   wg_pb_freq_h=uicontrol('Style','pushbutton',...
      'Position',[10 120 150 30],...
      'String','Frequency (Hz)');
   
   wg_ed_freq_h=uicontrol('Style','edit',...
      'Position',[180 120 70 30],...
      'String',wave_freq);
   
   wg_pb_amp_h=uicontrol('Style','pushbutton',...
      'Position',[10 70 150 30],...
      'String','Amplitude');
   
   wg_ed_amp_h=uicontrol('Style','edit',...
      'Position',[180 70 70 30],...
      'String',wave_amp);
   
   wg_po_save_h=uicontrol('Style','pushbutton',...
      'Position',[10 20 120 30],...
      'String','Save(ASCII)',...
		'Callback','wg_save');

wg_pb_cancel_h=uicontrol('Style','pushbutton',...
		'Position',[140 20 120 30],...
		'String','Cancel',...
      'Callback','wg_ok');
end;

