%
% Function to find out the basename and extension
% ex. If a filename is speech.dat
%     then the basename is 'speech'
%     and the extention is 'dat'
function [ bname, xtent] = basename(s)

len=length(s);
for i=1:len,
	if s(i) == '.';
		break;
	end
end

bname=s(1:i-1);

if i == 1,
	bname='';
	xtent=s(i+1:len);
elseif i == len
	bname=s;
	xtent='';
else
	bname=s(1:i-1);
	xtent=s(i+1:len);
end