function [dist]=euc_dist(A,B)

[M1 N1]=size(A);
[M2 N2]=size(B);

if M1 ~= M2 | N1 ~= N2
	disp('The two vectors should have the same dimension');
	exit;
end

sum=0;
for ii=1:M1
	for jj=1:N1
		sum=sum+(A(ii,jj)-B(ii,jj))^2;
	end
end

dist=sqrt(sum);
		
